Subject: Re: Editor to use with ssh'ing into NT server?
From: David Starks-Browning <[email-masked]>
To: Jason Dufair <[email-masked]>
Cc: [email-masked]
Date: Thu, 21 Jun 2001 11:15:57 +0100

It's well known that NTEmacs (specifically 'emacs -nw') will not work
if you are logged in remotely via a telnet or ssh shell.  That's a
Cygwin/NTEmacs problem.  NTEmacs is not a Cygwin application.

OTOH, if you build xemacs using Cygwin, then 'xemacs -nw' should work
well.  (That's what I use.)  I don't have any personal experience with
their Cygwin-built binary distribution, but I would expect that to
work too.

I should probably add something to the FAQ about this.

Regards,
David

On Wednesday 20 Jun 01, Jason Dufair writes:
> FWIW, I tried it with NTEmacs (with bash as my shell) and got the same 
> error.
> 
> >-----Original Message-----
> >From: [email-masked]
> >[mailto:[email-masked]] On Behalf Of David Edward
> >Shapiro
> >Sent: Tuesday, June 19, 2001 2:35 PM
> >To: [email-masked]'
> >Subject: Editor to use with ssh'ing into NT server?
> >
> >
> >I can't get an editor to work correctly when I ssh into NT server.  I
> >get 
> >
> >
> >
> >C:\winnt\profiles\mailmon>vim
> >vim
> >Vim: Warning: Output is not to a terminal
> >Vim: Warning: Input is not from a terminal
> >
> >I have set TERM to just about everything I can think of
> >
> >vt100
> >ansi
> >cygwin
> >
> >but I do not get any better results.
> >
> >vim starts up, but the keyboard mappings are wrong.  I can't use esc to
> >get
> >into command mode, i for insert, I can't scroll down in the file (you
> >just
> >see the first 12 or so lines).  What are you all using to edit via an
> >ssh
> >connection into the nt boxes?  Certainly there is some easy fix to this,
> >no
> >(i.e., ssh option, variable setting, etc.)?  
> >
> >David
> >
> >
> >--
> >Want to unsubscribe from this list?
> >Check out: http://cygwin.com/ml/#unsubscribe-simple
> >
> >
> >
> >--
> >Want to unsubscribe from this list?
> >Check out: http://cygwin.com/ml/#unsubscribe-simple
> >
> 
> -- 
> Jason Dufair - [email-masked]
> http://www.dufair.org/
> "Wish I was a headlight on a northbound train
> I'd shine my light through the cool Colorado rain"
> -- The Grateful Dead
> 
> 
> 
> 
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple